package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 36.NFT元信息查询 GET请求方式
 * @class: InfoReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:47
 */
@Data
public class Nft036InfoReqDto implements Serializable {
    /**
     * 查询nft信息
     */
    private String nftId;
    private static final Nft036InfoReqDto obj = new Nft036InfoReqDto();
    private static final long serialVersionUID = -2615506685444613587L;

    public static Nft036InfoReqDto getNew() {
        try {
            return (Nft036InfoReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft036InfoReqDto();
        }
    }
}
